Summary: GNU plotting utilities
Name: plotutils
Version: 2.4.1
Release: 1.PU_IAS.2
Packager: Michael Nolta <mrnolta@users.sourceforge.net>
Source: ftp://ftp.gnu.org/gnu/plotutils/plotutils-%{version}.tar.gz
Copyright: GPL
Group: Applications/Graphics
BuildRoot: /var/tmp/%{name}-%{version}-buildroot

%description
The GNU plotutils package contains software for both programmers and
technical users. Its centerpiece is libplot, a powerful C/C++ function
library for exporting 2-D vector graphics in many file formats, both
vector and raster. It can also do vector graphics animations. libplot
is device-independent in the sense that its API (application programming
interface) does not depend on the type of graphics file to be exported.

Besides libplot, the package contains command-line programs for plotting
scientific data. Many of them use libplot to export graphics.

%prep
%setup -q

%build
# the target is necessary as the one from configure macro breaks on i386 RHEL3 ???
%configure --target=%{_target_cpu}-%{_vendor}-%{_target_os}%{?_gnu}
make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall}
# to make RH rpm 4.2 happy
rm -f $RPM_BUILD_ROOT/usr/share/info/dir

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COMPAT COPYING ChangeLog INSTALL* KNOWN_BUGS
%doc NEWS ONEWS PROBLEMS README THANKS TODO

%{_bindir}/double
%{_bindir}/graph
%{_bindir}/ode
%{_bindir}/plot
%{_bindir}/plotfont
%{_bindir}/spline
%{_bindir}/tek2plot

%{_includedir}/plot.h
%{_includedir}/plotcompat.h

%{_infodir}/plotutils.info.gz

%{_libdir}/libplot.a
%{_libdir}/libplot.la
%{_libdir}/libplot.so
%{_libdir}/libplot.so.2
%{_libdir}/libplot.so.2.2.1

%{_mandir}/man1/ode.1.gz
%{_mandir}/man1/plot.1.gz
%{_mandir}/man1/plotfont.1.gz
%{_mandir}/man1/spline.1.gz
%{_mandir}/man1/tek2plot.1.gz

%dir %{_datadir}/libplot
%{_datadir}/libplot/README
%{_datadir}/libplot/colors.txt
%{_datadir}/libplot/demo-page
%{_datadir}/libplot/h-demo.c
%{_datadir}/libplot/h-fonts.doc
%{_datadir}/libplot/h-glyphs.doc
%{_datadir}/libplot/hershey.bib
%{_datadir}/libplot/kana.doc
%{_datadir}/libplot/kanji.doc

%dir %{_datadir}/ode
%{_datadir}/ode/README
%{_datadir}/ode/atwoods.ode
%{_datadir}/ode/bead.ode
%{_datadir}/ode/chem.ode
%{_datadir}/ode/coupled.ode
%{_datadir}/ode/ddho.ode
%{_datadir}/ode/dynamo.ode
%{_datadir}/ode/henon.ode
%{_datadir}/ode/limitcycle.ode
%{_datadir}/ode/lorenz.ode
%{_datadir}/ode/lunar.sh
%{_datadir}/ode/orbit.ode
%{_datadir}/ode/population.ode
%{_datadir}/ode/qcd.ode
%{_datadir}/ode/rumor.ode
%{_datadir}/ode/soliton.ode
%{_datadir}/ode/viscous.ode

%dir %{_datadir}/tek2plot
%{_datadir}/tek2plot/README
%{_datadir}/tek2plot/aitest.tek
%{_datadir}/tek2plot/dmerc.tek
%{_datadir}/tek2plot/fotest.tek
%{_datadir}/tek2plot/imtesth.tek
%{_datadir}/tek2plot/karney.tek
%{_datadir}/tek2plot/ocpred.tek
%{_datadir}/tek2plot/scale.tek
%{_datadir}/tek2plot/skymap.tek
%{_datadir}/tek2plot/skymap2.tek
%{_datadir}/tek2plot/usmap.tek

%changelog
* Thu May 10 2004 Josko Plazonic <plazonic@math.princeton.edu>
- rebuilt for PU_IAS 1 and fixed the build for i386 arch

* Thu May 01 2003 Josko Plazonic <plazonic@math.princeton.edu>
- rebuilt for RH 9

* Mon Nov 20 2000 Michael Nolta <mrnolta@users.sourceforge.net>
- Created.
